import {Component, inject} from '@angular/core';
import {KeycloakService} from "keycloak-angular";

@Component({
  selector: 'app-landing-page',
  standalone: true,
  imports: [],
  templateUrl: './landing-page.component.html',
})
export class LandingPageComponent {
  private keycloakService: KeycloakService = inject(KeycloakService);

  login() {
    this.keycloakService.login()
      .catch(error => {
        alert("Error: Unable to redirect to login page. Please try again later.");
        console.error('Error redirecting to login:', error);
      });
  }
}
