import {Routes} from '@angular/router';
import {LandingPageComponent} from "./landing-page/landing-page.component";
import {HomepageComponent} from "./homepage/homepage/homepage.component";
import {authGuard} from "./auth.guard";

export const routes: Routes = [
  {
    path: '',
    component: LandingPageComponent,
  },
  {
    path: '**',
    canActivate: [authGuard],
    children: [
      {
        path: 'home',
        component: HomepageComponent,
      },
    ]
  }
];

